Packages Not Working on - 2.1-RC0 (i386) built on Sat May 25 07:43:38 EDT 2013



  • I upgraded this morning to the current release and after the upgrade my installed packages were gone.

    When I try to re-install I get the following error

    Beginning package installation for AutoConfigBackup .
    Downloading package configuration file… done.
    Saving updated package information... done.
    Loading package configuration... done.
    Configuring package components...
    Additional files... parse_config_upload.php failed.
    Backing up libraries...
    Removing package...
    Removing AutoConfigBackup components...
    Tabs items... done.
    Menu items... done.
    Loading package instructions...
    Removing package instructions...done.
    Auxiliary files... done.
    Package XML... done.
    Configuration... done.
    Cleaning up... done.
    Failed to install package.

    Installation halted.

    Here is the version Info:
    2.1-RC0 (i386)
    built on Sat May 25 07:43:38 EDT 2013
    FreeBSD 8.3-RELEASE-p8

    Any Ideas?



  • Just to confirm - same error for me with AutoConfigBackup when it gets to parse_config_upload.php
    I have bandwidthd and cron already installed fine. Just installed OpenVPN Client Export Utility successfully. So it seems to be specific to this file in AutoConfigBackup.



  • The problem is a missing file on the pfsense packages server. It is trying to pull this file from their server http://www.pfsense.com/packages/config/autoconfigbackup/parse_config_upload.php but it's not there so I guess we'll just have to wait for them to fix it



  • I just tested release 2.0.3 on a fresh install.. it fails on that release as well.

    Also Avahi is broken as well

    –Here is my package intall log.
    Beginning package installation for Avahi .
    Downloading package configuration file... done.
    Saving updated package information... done.
    Downloading Avahi and its dependencies...
    Checking for package installation...
    Downloading http://files.pfsense.org/packages/8/All/avahi-0.6.29-i386.pbi ...  (extracting)
    Loading package configuration... done.
    Configuring package components...
    Additional files… avahi.tar.gz failed.
    Backing up libraries…
    Removing package...
    Starting package deletion for avahi-0.6.29-i386...done.
    Removing Avahi components...
    Menu items... done.
    Services... done.
    Loading package instructions...
    Include file avahi.inc could not be found for inclusion.
    Deinstall commands...
    Not executing custom deinstall hook because an include is missing.
    Removing package instructions...done.
    Auxiliary files... done.
    Package XML... done.
    Configuration... done.
    Cleaning up... done.
    Failed to install package.

    Installation halted.



  • I actually started a thread about the avahi package not installing. It's the same problem with it trying to download non-existent additional files. http://forum.pfsense.org/index.php/topic,62725.0.html



  • As of this morning AutoConfigBackup installs fine now.

    Jim


  • Rebel Alliance Developer Netgate

    Avahi is fixed also, as of a few hours ago.



  • VMTools package for 2.1 is broken as well for since several weeks. When u click install, it will run some commands for like a sec or 2 and says the package is installed.. but the fact is nothing gets installed.


Locked